import java.util.List;

import twitter4j.TwitterException;
import junit.framework.TestCase;

/**
 * This class contains the public test cases for the project. The public tests
 * are distributed with the project description, and students can run the public
 * tests themselves against their own implementation.
 * 
 * Any changes to this file will be ignored when testing your project.
 * 
 */
public class PublicTests extends TestCase {
	Ethnologue e = new Ethnologue();
	
	final long id=613056561779335168l;
	
	public void testSearch() throws TwitterException
	{
		boolean found=false,notfound=true;
		List<Long> l=e.search(100);
		for(Long id : l) {
			TwitterEthnologueReference t = e.get(id);
			if(t.tweetUserName.equals("Pierre Senellart") &&
			   t.tweetContent.contains("Malay")) {
				found=true;
			} else if(t.tweetUserName.equals("Pierre Senellart") &&
			   t.tweetContent.contains("Indonesian")) {
				notfound=false;
			}
		}
		assertTrue(found);
		assertTrue(notfound);
	}
	
	public void testWrongGet()
	{
		try {
			e.get(1l);
		} catch(TwitterException e) {
			assertTrue(true);
			return;
		}
		assertTrue(false);
	}
	
	public void testUserName() throws TwitterException
	{
		assertEquals("Ethnologue", e.get(id).tweetUserName);
	}
	
	public void testLanguageCode() throws TwitterException
	{
		assertEquals("fsl", e.get(id).languageCode);
	}
	
	public void testURL() throws TwitterException
	{
		assertEquals("http://www.ethnologue.com/language/fsl", e.get(id).ethnologueURL.toString());
	}

	public void testTweetContent() throws TwitterException
	{
		assertTrue(e.get(id).tweetContent.startsWith("@KristinSnoddon Helpful information. Would you be willing to post that as feedback on our LSF/FSL page?"));
	}
	
	public void testLanguageName() throws TwitterException
	{
		assertEquals("French Sign Language", e.get(id).ethnologueLanguageName);
	}
	
	public void testPopulation() throws TwitterException
	{
		assertEquals(100000, e.get(id).ethnologuePopulation);
	}
}
